SoDiffuseColorElement Class Reference
Element Classes

The SoDiffuseColorElement class is yet to be documented. More...

`#include <Inventor/elements/SoDiffuseColorElement.h>`

Inheritance diagram for SoDiffuseColorElement:

## Public Member Functions

virtual void | init (SoState *state)
| FIXME: write doc.
int32_t | getNum (void) const
| FIXME: write doc.
const SbColor & | get (const int index) const
| FIXME: write doc.
SbBool | isPacked (void) const
SbBool | hasPackedTransparency (void) const
const SbColor * | getColorArrayPtr () const
const uint32_t * | getPackedArrayPtr () const
Public Member Functions inherited from SoReplacedElement
virtual SbBool | matches (const SoElement *element) const
virtual SoElement * | copyMatchInfo () const
SbUniqueId | getNodeId () const
virtual void | print (FILE *file) const
Public Member Functions inherited from SoElement
const SoType | getTypeId (void) const
int | getStackIndex (void) const
virtual void | push (SoState *state)
virtual void | pop (SoState *state, const SoElement *prevTopElement)
void | setDepth (const int depth)
int | getDepth (void) const
virtual | ~SoElement ()

## Static Public Member Functions

static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void * | createInstance (void)
static void | initClass (void)
static void | set (SoState *const state, SoNode *const node, const int32_t numcolors, const SbColor *const colors)
| FIXME: write doc.
static void | set (SoState *const state, SoNode *const node, const int32_t numcolors, const uint32_t *const colors, const SbBool packedtransparency=FALSE)
| FIXME: write doc.
static const SoDiffuseColorElement * | getInstance (SoState *state)
| FIXME: write doc.
Static Public Member Functions inherited from SoReplacedElement
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initClass (void)
Static Public Member Functions inherited from SoElement
static void | initClass (void)
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initElements (void)
static int | getNumStackIndices (void)
static SoType | getIdFromStackIndex (const int stackIndex)

## Protected Member Functions

virtual | ~SoDiffuseColorElement ()
Protected Member Functions inherited from SoReplacedElement
virtual | ~SoReplacedElement ()
Protected Member Functions inherited from SoElement
| SoElement (void)
void | capture (SoState *const state) const
virtual void | captureThis (SoState *state) const
void | setTypeId (const SoType typeId)
void | setStackIndex (const int index)
SoElement * | getNextInStack (void) const
SoElement * | getNextFree (void) const

## Additional Inherited Members

Static Protected Member Functions inherited from SoReplacedElement
static SoElement * | getElement (SoState *const state, const int stackIndex, SoNode *const node)
Static Protected Member Functions inherited from SoElement
static SoElement * | getElement (SoState *const state, const int stackIndex)
static const SoElement * | getConstElement (SoState *const state, const int stackIndex)
static int | createStackIndex (const SoType id)
Protected Attributes inherited from SoReplacedElement
SbUniqueId | nodeId
Protected Attributes inherited from SoElement
SoType | typeId
int | stackIndex
int | depth
Static Protected Attributes inherited from SoElement
static int | classStackIndex
static SoTypeList * | stackToType

## Detailed Description

The SoDiffuseColorElement class is yet to be documented.

FIXME: write doc.

## Constructor & Destructor Documentation

## ~SoDiffuseColorElement()

SoDiffuseColorElement::~SoDiffuseColorElement | ( |  | ) |

protected virtual

Destructor.

## Member Function Documentation

## getClassTypeId()

SoType SoDiffuseColorElement::getClassTypeId | ( | void |  | ) |

static

This static method returns the SoType object associated with objects of this class.

This static method returns the class type.

## getClassStackIndex()

int SoDiffuseColorElement::getClassStackIndex | ( | void |  | ) |

static

This static method returns the state stack index for the class.

## createInstance()

void * SoDiffuseColorElement::createInstance | ( | void |  | ) |

static

This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
Creates a new instance of the class type corresponding to the SoType object.

## initClass()

void SoDiffuseColorElement::initClass | ( | void |  | ) |

static

Initialize relevant common data for all instances, like the type system.

## init()

void SoDiffuseColorElement::init | ( | SoState * | state | ) |

virtual

FIXME: write doc.

Reimplemented from SoReplacedElement.

## getColorArrayPtr()

const SbColor * SoDiffuseColorElement::getColorArrayPtr | ( | void |  | ) | const

Returns the color array. Don't use this unless SoDiffuseColorElement::isPacked() returns `FALSE`.

This method is not part of the original SGI Open Inventor v2.1 API.

Since
  Coin 1.0

## getPackedArrayPtr()

const uint32_t * SoDiffuseColorElement::getPackedArrayPtr | ( | void |  | ) | const

Returns the packed color array. Don't use this unless SoDiffuseColorElement::isPacked() returns `TRUE`.

This method is not part of the original SGI Open Inventor v2.1 API.

Since
  Coin 1.0

The documentation for this class was generated from the following files:

- SoDiffuseColorElement.h
- SoDiffuseColorElement.cpp